Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 335526 - media-gfx/jpeg2ps does not respect LDFLAGS
Summary: media-gfx/jpeg2ps does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal QA (vote)
Assignee: Ulrich Müller
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-01 13:46 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2019-11-06 23:08 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (jpeg2ps-1.9-r1:20100901-085043.log,1.62 KB, text/plain)
2010-09-01 13:46 UTC, Diego Elio Pettenò (RETIRED)
Details
jpeg2ps-ldflags.patch (jpeg2ps-ldflags.patch,1.23 KB, patch)
2011-12-14 17:21 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-01 13:46:31 UTC
See attached build log.

(Please do not complain about the need for looking at the build log until you can provide an easy way to open bugs with the correct data picked out of a tinderbox log. Thanks.)
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-09-01 13:46:47 UTC
Created attachment 245605 [details]
Build log
Comment 2 Michael Palimaka (kensington) gentoo-dev 2011-12-14 17:21:11 UTC
Created attachment 295829 [details, diff]
jpeg2ps-ldflags.patch

Respect LDFLAGS, respect LD, bump EAPI.
Comment 3 Larry the Git Cow gentoo-dev 2019-11-06 23:07:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5147fa76d4628a08aa093bad13f38a8cfc6e8638

commit 5147fa76d4628a08aa093bad13f38a8cfc6e8638
Author:     Ulrich Müller <ulm@gentoo.org>
AuthorDate: 2019-11-06 22:54:54 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2019-11-06 23:00:34 +0000

    media-gfx/jpeg2ps: Update ebuild for EAPI 7.
    
    Closes: https://bugs.gentoo.org/335526
    Closes: https://bugs.gentoo.org/468664
    Bug: https://bugs.gentoo.org/697288
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Ulrich Müller <ulm@gentoo.org>

 media-gfx/jpeg2ps/files/jpeg2ps-1.9-include.diff |  7 ++--
 media-gfx/jpeg2ps/jpeg2ps-1.9-r2.ebuild          | 46 ++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 3 deletions(-)